Package org.apache.felix.framework.util

# Class ImmutableList<E>

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
org.apache.felix.framework.util.ImmutableList<E>

All Implemented Interfaces:
  `Iterable<E>`, `Collection<E>`, `List<E>`, `RandomAccess`, `SequencedCollection<E>`

public class ImmutableList<E> extends AbstractList<E> implements RandomAccess

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ImmutableList(E... elements)`
`protected`
`ImmutableList(Collection<? extends E> elements)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`E`
`get(int index)`
`Iterator<E>`
`iterator()`
`ListIterator<E>`
`listIterator(int index)`
`static <E> ImmutableList<E>`
`newInstance(E... elements)`
`static <E> ImmutableList<E>`
`newInstance(Collection<? extends E> elements)`
`boolean`
`remove(Object o)`
`boolean`
`removeAll(Collection<?> clctn)`
`boolean`
`retainAll(Collection<?> c)`
`int`
`size()`

### Methods inherited from class java.util.AbstractList

`add, add, addAll, equals, hashCode, indexOf, lastIndexOf, listIterator, remove, removeRange, set, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`addAll, addFirst, addLast, contains, containsAll, getFirst, getLast, isEmpty, removeFirst, removeLast, replaceAll, reversed, sort, spliterator, toArray, toArray`

## Constructor Details

### ImmutableList

protected ImmutableList(E... elements)

### ImmutableList

protected ImmutableList(Collection<? extends E> elements)

## Method Details

### newInstance

public static <E> ImmutableList<E> newInstance(E... elements)

### newInstance

public static <E> ImmutableList<E> newInstance(Collection<? extends E> elements)

### get

public E get(int index)

Specified by:
  `get` in interface `List<E>`
Specified by:
  `get` in class `AbstractList<E>`

### size

public int size()

Specified by:
  `size` in interface `Collection<E>`
Specified by:
  `size` in interface `List<E>`
Specified by:
  `size` in class `AbstractCollection<E>`

### remove

public boolean remove(Object o)

Specified by:
  `remove` in interface `Collection<E>`
Specified by:
  `remove` in interface `List<E>`
Overrides:
  `remove` in class `AbstractCollection<E>`

### removeAll

public boolean removeAll(Collection<?> clctn)

Specified by:
  `removeAll` in interface `Collection<E>`
Specified by:
  `removeAll` in interface `List<E>`
Overrides:
  `removeAll` in class `AbstractCollection<E>`

### clear

public void clear()

Specified by:
  `clear` in interface `Collection<E>`
Specified by:
  `clear` in interface `List<E>`
Overrides:
  `clear` in class `AbstractList<E>`

### retainAll

public boolean retainAll(Collection<?> c)

Specified by:
  `retainAll` in interface `Collection<E>`
Specified by:
  `retainAll` in interface `List<E>`
Overrides:
  `retainAll` in class `AbstractCollection<E>`

### iterator

public Iterator<E> iterator()

Specified by:
  `iterator` in interface `Collection<E>`
Specified by:
  `iterator` in interface `Iterable<E>`
Specified by:
  `iterator` in interface `List<E>`
Overrides:
  `iterator` in class `AbstractList<E>`

### listIterator

public ListIterator<E> listIterator(int index)

Specified by:
  `listIterator` in interface `List<E>`
Overrides:
  `listIterator` in class `AbstractList<E>`